> ## Documentation Index
> Fetch the complete documentation index at: https://docs.toku.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Timesheet Period Detail

> Returns one timesheet period with per-day entries in the employee's timezone and compliance findings.

Required scope: `time:read`

## OpenAPI

````yaml api-reference/openapi.json GET /hris/get-timesheet-period-detail
openapi: 3.1.0
info:
  title: Toku API
  version: 1.0.0
servers:
  - url: https://api.toku.com
security:
  - bearerAuth: []
paths:
  /hris/get-timesheet-period-detail:
    get:
      operationId: getTimesheetPeriodDetail
      summary: Get Timesheet Period Detail
      x-toku-required-scope: time:read
      description: >-
        Returns one timesheet period with per-day entries in the employee's
        timezone and compliance findings.


        Required scope: `time:read`
      parameters:
        - name: timesheetPeriodID
          in: query
          required: true
          schema:
            type: string
            format: uuid
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetTimesheetPeriodDetailResponse'
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not found
        '409':
          description: Conflict
        '429':
          description: Response 429
components:
  schemas:
    GetTimesheetPeriodDetailResponse:
      type: object
      properties:
        timesheetPeriodID:
          type: string
        roleInOrgID:
          type: string
        employeeName:
          type: string
        workEmail:
          type:
            - string
            - 'null'
        department:
          type:
            - string
            - 'null'
        countryCode:
          type:
            - string
            - 'null'
        timezone:
          type: string
        periodType:
          type: string
        periodStart:
          type: string
        periodEnd:
          type: string
        status:
          type: string
        complianceStatus:
          type: string
        totalNetMinutes:
          type: number
        totalOvertimeMinutes:
          type: number
        employeeSignedAt:
          type:
            - string
            - 'null'
        signedByName:
          type:
            - string
            - 'null'
        adminApprovedAt:
          type:
            - string
            - 'null'
        approvalNote:
          type:
            - string
            - 'null'
        approvalRemediationAction:
          type:
            - string
            - 'null'
        rejectionReason:
          type:
            - string
            - 'null'
        days:
          type: array
          items:
            type: object
            properties:
              timesheetEntryID:
                type:
                  - string
                  - 'null'
              workDate:
                type: string
              startTime:
                type:
                  - string
                  - 'null'
              endTime:
                type:
                  - string
                  - 'null'
              breakStartTime:
                type:
                  - string
                  - 'null'
              breakEndTime:
                type:
                  - string
                  - 'null'
              breaks:
                type: array
                items:
                  type: object
                  properties:
                    startTime:
                      type: string
                    endTime:
                      type: string
                    kind:
                      type: string
                    paid:
                      type: boolean
                    worked:
                      type: boolean
                    minutes:
                      type: number
                  required:
                    - startTime
                    - endTime
                    - kind
                    - paid
                    - minutes
              breakMinutes:
                type: number
              netMinutes:
                type: number
              overtimeMinutes:
                type: number
              source:
                type:
                  - string
                  - 'null'
              complianceStatus:
                type: string
              note:
                type:
                  - string
                  - 'null'
              isHoliday:
                type: boolean
              isLeave:
                type: boolean
            required:
              - timesheetEntryID
              - workDate
              - startTime
              - endTime
              - breakStartTime
              - breakEndTime
              - breaks
              - breakMinutes
              - netMinutes
              - overtimeMinutes
              - source
              - complianceStatus
              - note
              - isHoliday
              - isLeave
        findings:
          type: array
          items:
            type: object
            properties:
              ruleType:
                type: string
              status:
                type: string
              workDate:
                type:
                  - string
                  - 'null'
              limit:
                type:
                  - number
                  - 'null'
              actual:
                type:
                  - number
                  - 'null'
              unit:
                type:
                  - string
                  - 'null'
              message:
                type: string
            required:
              - ruleType
              - status
              - workDate
              - limit
              - actual
              - unit
              - message
        history:
          type: array
          items:
            type: object
            properties:
              id:
                type: string
              at:
                type: string
              actorName:
                type: string
              eventType:
                type: string
              description:
                type:
                  - string
                  - 'null'
              workDate:
                type:
                  - string
                  - 'null'
              timezone:
                type:
                  - string
                  - 'null'
              via:
                type:
                  - string
                  - 'null'
              bulk:
                type: boolean
              changes:
                type: array
                items:
                  type: object
                  properties:
                    field:
                      type: string
                    from: {}
                    to: {}
                  required:
                    - field
                    - from
                    - to
            required:
              - id
              - at
              - actorName
              - eventType
              - description
              - workDate
              - timezone
              - via
              - bulk
              - changes
      required:
        - timesheetPeriodID
        - roleInOrgID
        - employeeName
        - workEmail
        - department
        - countryCode
        - timezone
        - periodType
        - periodStart
        - periodEnd
        - status
        - complianceStatus
        - totalNetMinutes
        - totalOvertimeMinutes
        - employeeSignedAt
        - signedByName
        - adminApprovedAt
        - approvalNote
        - approvalRemediationAction
        - rejectionReason
        - days
        - findings
        - history
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
````
